org.wildfly.swarm.config.undertow

## Class BufferCache<T extends BufferCache<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.undertow.BufferCache<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class BufferCache<T extends BufferCache<T>>
      extends HashMap

  The buffer cache used to cache static content
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferCache(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `bufferSize()` The size of an individual buffer, in bytes.
    `T` | `bufferSize(Integer value)` The size of an individual buffer, in bytes.
    `Integer` | `buffersPerRegion()` The numbers of buffers in a region
    `T` | `buffersPerRegion(Integer value)` The numbers of buffers in a region
    `String` | `getKey()`
    `Integer` | `maxRegions()` The maximum number of regions
    `T` | `maxRegions(Integer value)` The maximum number of regions
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### BufferCache

          public BufferCache(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### bufferSize

          public Integer bufferSize()

      The size of an individual buffer, in bytes.

    - #### bufferSize

          public T bufferSize(Integer value)

      The size of an individual buffer, in bytes.

    - #### buffersPerRegion

          public Integer buffersPerRegion()

      The numbers of buffers in a region

    - #### buffersPerRegion

          public T buffersPerRegion(Integer value)

      The numbers of buffers in a region

    - #### maxRegions

          public Integer maxRegions()

      The maximum number of regions

    - #### maxRegions

          public T maxRegions(Integer value)

      The maximum number of regions

Copyright © 2017 JBoss by Red Hat. All rights reserved.